Subject: [bug#37401] [PATCH 2/2] pack: Add packages in the order in which they appear on the command line.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 18 Sep 2019 22:48:59 +0200

Hi,

zimoun <[email-masked]> skribis:

> On Sat, 14 Sep 2019 at 11:43, Ludovic Courtès <[email-masked]> wrote:
>
>> It’s mostly so that if you do ‘guix pack -f docker sed grep findutils’
>> the repo name is “sed-grep-findutils” and not “findutils-grep-sed”.
>
> It is not in the doc, right?
> If I want to create a "profile" with a meaningful name, then the order
> after '-f' becomes important. Maybe one line explaining, something
> like:
>
> (current doc)
> The result is a tarball that can be passed to the ‘docker load’ command.
> See the Docker documentation
> (https://docs.docker.com/engine/reference/commandline/load/) for more
> information.
> (addition)
> Note that the profile name is built using the package names.

Good idea, I’ve committed something along these lines.

> Well, and what happens if there is 10 or more packages? Is the name trimmed?

Yes, it’s trimmed (there are apparently no hard limits but the output of
“docker images” becomes hard to read if the first column is too wide.)

Ludo’.